=== debian/control ===
Source: rust-nanorand
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-getrandom-0.2+default-dev,
 librust-getrandom-0.2+js-dev,
 librust-getrandom-0.2+rdrand-dev,
 librust-hex-0.4+default-dev,
 librust-zeroize-1+default-dev,
 librust-zeroize-1+zeroize-derive-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-nanorand.git
Vcs-Browser: https://salsa.debian.org/debian/rust-nanorand
Homepage: https://github.com/Absolucy/nanorand-rs
Rules-Requires-Root: no

Package: librust-nanorand-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-getrandom-0.2+default-dev,
 librust-getrandom-0.2+js-dev,
 librust-getrandom-0.2+rdrand-dev,
 librust-zeroize-1+default-dev,
 librust-zeroize-1+zeroize-derive-dev,
 ${misc:Depends},
Provides:
 librust-nanorand-0-dev (= ${binary:Version}),
 librust-nanorand-0.7+alloc-dev (= ${binary:Version}),
 librust-nanorand-0.7+chacha-dev (= ${binary:Version}),
 librust-nanorand-0.7+default-dev (= ${binary:Version}),
 librust-nanorand-0.7+getrandom-dev (= ${binary:Version}),
 librust-nanorand-0.7+pcg64-dev (= ${binary:Version}),
 librust-nanorand-0.7+std-dev (= ${binary:Version}),
 librust-nanorand-0.7+tls-dev (= ${binary:Version}),
 librust-nanorand-0.7+wyrand-dev (= ${binary:Version}),
 librust-nanorand-0.7+zeroize-dev (= ${binary:Version}),
 librust-nanorand-0.7-dev (= ${binary:Version}),
 librust-nanorand-0.7.0-dev (= ${binary:Version}),
Description: tiny and fast random number generation - Rust source code
 Nanorand is a Rust library meant for fast, random number generation
 with quick compile time, and minimal dependencies.
 .
 This package contains the source for the Rust nanorand crate,
 for use with cargo.
