=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --all-features
Features: test-name=rust-nanorand-0.7:@
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features alloc
Features: test-name=rust-nanorand-0.7-dev:alloc
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+alloc-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features chacha
Features: test-name=rust-nanorand-0.7-dev:chacha
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+chacha-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets
Features: test-name=rust-nanorand-0.7-dev:default
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features getrandom
Features: test-name=rust-nanorand-0.7-dev:getrandom
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+getrandom-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features pcg64
Features: test-name=rust-nanorand-0.7-dev:pcg64
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+pcg64-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features std
Features: test-name=rust-nanorand-0.7-dev:std
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+std-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features tls
Features: test-name=rust-nanorand-0.7-dev:tls
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+tls-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features wyrand
Features: test-name=rust-nanorand-0.7-dev:wyrand
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+wyrand-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test nanorand 0.7.0
 --all-targets --no-default-features --features zeroize
Features: test-name=rust-nanorand-0.7-dev:zeroize
Depends:
 dh-rust,
 librust-hex-0.4+default-dev,
 librust-nanorand-0.7+zeroize-dev,
Restrictions: allow-stderr
Architecture: amd64
